/**
 * @author Ondrej Jerabek
 * @file   main_bootloader.c
 */

// C libraries
#include <stdio.h>

// project libraries
#include "config.h"
#include "main.h"
#include "bootloader.h"
#include "spi_wrapper.h"

// LPC libraries
#include "chip.h"

// --------------------------------------------------------------------------
/*global variable */

// --------------------------------------------------------------------------
/**
 * @brief   Main function of bootloader
 * @return  Zero (0)
 * @note	Running main firmware or copying new firmware to MCU
 */
int main(void) {

	SystemCoreClockUpdate();
	pindef_init();

	if (user_code_present())
		execute_user_code();
	else
	{
		LEDR(1);
		bootloader();
	}
	LEDG(1);
	while(1)
		;
	return 0 ;
}
